# Page through batch results | Parsium Docs

Source: https://docs.parseium.com/api/operations/getbatchresults/

# Page through batch results

GET

/v1/batches/{id}/results

Only available for return-mode batches. Results expire after 24 hours. Database-sink batches return 422.

## Authorizations

 Section titled “Authorizations ”

- **[apiKeyHeader](/api/#apikeyheader)**
- **[apiKeyQuery](/api/#apikeyquery)**

## Parameters

 Section titled “
Parameters
”

### Path Parameters

 Section titled “Path Parameters ”

 id

required

 string

Batch ID

### Query Parameters

 Section titled “Query Parameters ”

 cursor

 string

Offset cursor.

 limit

 integer

 default: 100 <= 100

Maximum 100.

## Responses

 Section titled “
Responses
”

### 200

 Section titled “200 ”

Result page.

 Select media type application/json

 object

 results

 Array<object>

 object

 url

 string

 data

 cursor

 string

### 401

 Section titled “401 ”

Missing or invalid API key.

 Select media type application/json

 object

 error

required

 string

##### Example

```
invalid request
```

 field

Field that failed validation.

 string

 detail

 string

 hint

 string

### 404

 Section titled “404 ”

Resource missing or not owned by this account.

 Select media type application/json

 object

 error

required

 string

##### Example

```
invalid request
```

 field

Field that failed validation.

 string

 detail

 string

 hint

 string

### 422

 Section titled “422 ”

Validation failed.

 Select media type application/json

 object

 error

required

 string

##### Example

```
invalid request
```

 field

Field that failed validation.

 string

 detail

 string

 hint

 string
